Image status
Documentation for Image status
Read time 1 minuteLast updated a year ago
Get the rollout status of the image specified by .
This is used to determine the progress of machines receiving the latest version of the image.
<imageid>During zero downtime patching, you can use this endpoint to determine when the fleet is ready.
Once ready, it can be allocated using a profile which references the new image version.
https://api.multiplay.co.uk/cfp/v2/project/<accountserviceid>/image/<imageid>/status
METHOD |
GET |
Request parameters
VARIABLE | DESCRIPTION | OPTIONAL |
accountserviceid | The parameter accepts an account service ID (ASID) associated with the specified resource. The credentials in the request header must have access to the ASID to perform the request. | No |
imageid | The parameter accepts a game image ID. | No |
detail | The parameter accepts a boolean value. If set to , the response will include additional information about the fleet and region. If excluded or set to , no additional information is included in the response body. | Yes |
Response fields
|
|
|
|
|---|---|---|---|
fleets | object | List of fleet objects, included only if detail parameter set to true | Yes |
pending_machines | integer | Number of running machines currently pending installs | No |
failed_machines | integer | Number of disabled machines currently unable to install | No |
completed_machines | integer | Number of running machines fully installed | No |
Fleet status object
|
|
|
|
|---|---|---|---|
regions | object | Map of region IDs to region status objects | No |
pending_machines | integer | Number of running machines currently pending installs | No |
failed_machines | integer | Number of disabled machines currently unable to install | No |
completed_machines | integer | Number of running machines fully installed | No |
Region status object
|
|
|
|
|---|---|---|---|
name | string | Name of the region | No |
pending_machines | integer | Number of running machines currently pending installs | No |
failed_machines | integer | Number of disabled machines currently unable to install | No |
completed_machines | integer | Number of running machines fully installed | No |
Example request
curl --location --request GET 'https://api.multiplay.co.uk/cfp/v2/project/<accountserviceid>>/image/<imageid>>/status?detail=<detail>' \--header 'Authorization: Basic YOUR_AUTH_CREDENTIALS'
Example response
{ "fleets": { <fleetid>: { "regions": { <regionid>: { "name": <region_name>, "pending_machines": <pending_machines>, "completed_machines": <completed_machines> }, }, "pending_machines": <pending_machines>, "completed_machines": <completed_machines> }, ... }, "pending_machines": <pending_machines>, "completed_machines": <completed_machines>}